Get album ranking for a date
Get the ranking for an album chart on a specific date.
To avoid unnecessary requests, you can first get the dates with available data from the Get album ranking dates endpoint.
This endpoint also returns the number of days (DOC) or weeks (WOC) that a song has been on that chart.
Need to get the chart’s slug? Use the Get album chart list by platform endpoint.
Request
GET
/api/v2.26/chart/album/{slug}/ranking/{datetime}
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| slug | string | A chart slug | Required |
| datetime | string | A ranking date (ATOM format) | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 100) | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
An album chart ranking collection response |
ChartAlbumRankCollectionResponse2 |
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Chart not found |